Package org.optaplanner.core.impl.constructionheuristic.placer

## Class QueuedValuePlacerFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.AbstractFromConfigFactory<Solution_,​EntityPlacerConfig_>
  - - org.optaplanner.core.impl.constructionheuristic.placer.QueuedValuePlacerFactory<Solution_>

- All Implemented Interfaces:
    `EntityPlacerFactory<Solution_>`

      public class QueuedValuePlacerFactory<Solution_>
      extends AbstractFromConfigFactory<Solution_,​EntityPlacerConfig_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.AbstractFromConfigFactory

      `config`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueuedValuePlacerFactory​(QueuedValuePlacerConfig placerConfig)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ChangeMoveSelectorConfig` | `buildChangeMoveSelectorConfig​(HeuristicConfigPolicy<Solution_> configPolicy, String valueSelectorConfigId, GenuineVariableDescriptor<Solution_> variableDescriptor)` |
    `QueuedValuePlacer<Solution_>` | `buildEntityPlacer​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `static QueuedValuePlacerConfig` | `unfoldNew​(MoveSelectorConfig templateMoveSelectorConfig)` |

    - ### Methods inherited from class org.optaplanner.core.impl.AbstractFromConfigFactory

      `deduceEntityDescriptor, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueuedValuePlacerFactory

          public QueuedValuePlacerFactory​(QueuedValuePlacerConfig placerConfig)

  - ### Method Detail

    - #### unfoldNew

          public static QueuedValuePlacerConfig unfoldNew​(MoveSelectorConfig templateMoveSelectorConfig)

    - #### buildEntityPlacer

          public QueuedValuePlacer<Solution_> buildEntityPlacer​(HeuristicConfigPolicy<Solution_> configPolicy)

    - #### buildChangeMoveSelectorConfig

          protected ChangeMoveSelectorConfig buildChangeMoveSelectorConfig​(HeuristicConfigPolicy<Solution_> configPolicy,
                                                                           String valueSelectorConfigId,
                                                                           GenuineVariableDescriptor<Solution_> variableDescriptor)